<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
    <script>
     var headers = new Headers ();
     headers.append('a', '1');
     headers.append('b', '2');

     var request= new Request('https://httpbin.org/get', {
         headers: headers
     }) ;
     console.log('request = ', request);
     for(var k of request.headers.keys()) {
         console.log('request.headers.get("' +k+'") =',request.headers.get(k));
     }
     fetch(request)
     .then(function(response) {
         console.log('response =', response);
     for(var k of request.headers.keys()) {
     console.log('request.headers.get("' +k+'") =',request.headers.get(k));
     }
     return response.text();
     })
     .then(function(data){
         console.log('data = ', data);
     })
     .catch(function(err){
         console.error(err);
     });
    </script>
</body>
</html>